﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70000 Setup IEEE
INSTRUMENT:            Sub Tek DPO70000 Set Bandwidth & Channel Numbers
INSTRUMENT:            Sub Tek DPO70000 Check Firmware Version
DATE:                  2010-11-29 09:59:17
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       224
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA 70000B, MSO 70000, DPO/DSA 70000
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SETUP_IEEE                   PSUBI("Setup")
  1.002  JMPL         SET_BW_NUM_CHAN              PSUBI("Set Bandwidth")
  1.003  JMPL         FIRMWARE_CHECK               PSUBI("Firmware")

  1.004  DISP         Undefined subprocedure!
  1.005  END

  1.006  EVAL   Increment step number

#********************* Setup IEEE ******************************************

  2.001  LABEL        SETUP_IEEE
  2.002  DISP         To set up the DUT GPIB interface, follow these steps:
  2.002  DISP
  2.002  DISP         Push DUT Utilities menu,
  2.002  DISP         then push GPIB Configuration,
  2.002  DISP         Ensure Address is not (0) zero and Bus Connection is
  2.002  DISP         Talk-Listen not Bus-Off.
  2.002  DISP
  2.002  DISP         You can push Address option button or rotate the
  2.002  DISP         Multipurpose a knob to change the address, and also push
  2.002  DISP         Bus Connection option button to switch bus connection.

  2.003  END

  2.004  EVAL   Increment step number

# ******************** Set Bandwidth & Number of Channels ******************

  3.001  LABEL        SET_BW_NUM_CHAN

  3.002  IF           ZCMPI(@ModelNum, "DPO72004B")
  3.003  MATH         @Bandwidth = 20E+9; @NumChan = 4

  3.004  ELSEIF       ZCMPI(@ModelNum, "DPO72004C")
  3.005  MATH         @Bandwidth = 20E+9; @NumChan = 4

  3.006  ELSEIF       ZCMPI(@ModelNum, "DSA72004B")
  3.007  MATH         @Bandwidth = 20E+9; @NumChan = 4

  3.008  ELSEIF       ZCMPI(@ModelNum, "DSA72004C")
  3.009  MATH         @Bandwidth = 20E+9; @NumChan = 4

  3.010  ELSEIF       ZCMPI(@ModelNum, "DPO72004")
  3.011  MATH         @Bandwidth = 20E+9; @NumChan = 4

  3.012  ELSEIF       ZCMPI(@ModelNum, "DSA72004")
  3.013  MATH         @Bandwidth = 20E+9; @NumChan = 4

  3.014  ELSEIF       ZCMPI(@ModelNum, "MSO72004")
  3.015  MATH         @Bandwidth = 20E+9; @NumChan = 4

  3.016  ELSEIF       ZCMPI(@ModelNum, "MSO72004C")
  3.017  MATH         @Bandwidth = 20E+9; @NumChan = 4

  3.018  ELSEIF       ZCMPI(@ModelNum, "DPO71604B")
  3.019  MATH         @Bandwidth = 16E+9; @NumChan = 4

  3.020  ELSEIF       ZCMPI(@ModelNum, "DSA71604B")
  3.021  MATH         @Bandwidth = 16E+9; @NumChan = 4

  3.022  ELSEIF       ZCMPI(@ModelNum, "DPO71604C")
  3.023  MATH         @Bandwidth = 16E+9; @NumChan = 4

  3.024  ELSEIF       ZCMPI(@ModelNum, "DSA71604C")
  3.025  MATH         @Bandwidth = 16E+9; @NumChan = 4

  3.026  ELSEIF       ZCMPI(@ModelNum, "DPO71604")
  3.027  MATH         @Bandwidth = 16E+9; @NumChan = 4

  3.028  ELSEIF       ZCMPI(@ModelNum, "DSA71604")
  3.029  MATH         @Bandwidth = 16E+9; @NumChan = 4

  3.030  ELSEIF       ZCMPI(@ModelNum, "MSO71604")
  3.031  MATH         @Bandwidth = 16E+9; @NumChan = 4

  3.032  ELSEIF       ZCMPI(@ModelNum, "MSO71604C")
  3.033  MATH         @Bandwidth = 16E+9; @NumChan = 4

  3.034  ELSEIF       ZCMPI(@ModelNum, "DPO71254B")
  3.035  MATH         @Bandwidth = 12.5E+9; @NumChan = 4

  3.036  ELSEIF       ZCMPI(@ModelNum, "DSA71254B")
  3.037  MATH         @Bandwidth = 12.5E+9; @NumChan = 4

  3.038  ELSEIF       ZCMPI(@ModelNum, "DPO71254C")
  3.039  MATH         @Bandwidth = 12.5E+9; @NumChan = 4

  3.040  ELSEIF       ZCMPI(@ModelNum, "DSA71254C")
  3.041  MATH         @Bandwidth = 12.5E+9; @NumChan = 4

  3.042  ELSEIF       ZCMPI(@ModelNum, "DPO71254")
  3.043  MATH         @Bandwidth = 12.5E+9; @NumChan = 4

  3.044  ELSEIF       ZCMPI(@ModelNum, "DSA71254")
  3.045  MATH         @Bandwidth = 12.5E+9; @NumChan = 4

  3.046  ELSEIF       ZCMPI(@ModelNum, "MSO71254")
  3.047  MATH         @Bandwidth = 12.5E+9; @NumChan = 4

  3.048  ELSEIF       ZCMPI(@ModelNum, "MSO71254C")
  3.049  MATH         @Bandwidth = 12.5E+9; @NumChan = 4

  3.050  ELSEIF       ZCMPI(@ModelNum, "DSA70804B")
  3.051  MATH         @Bandwidth = 9E+9; @NumChan = 4

  3.052  ELSEIF       ZCMPI(@ModelNum, "DPO70804B")
  3.053  MATH         @Bandwidth = 8E+9; @NumChan = 4

  3.054  ELSEIF       ZCMPI(@ModelNum, "DSA70804")
  3.055  MATH         @Bandwidth = 9E+9; @NumChan = 4

  3.056  ELSEIF       ZCMPI(@ModelNum, "DPO70804")
  3.057  MATH         @Bandwidth = 8E+9; @NumChan = 4

  3.058  ELSEIF       ZCMPI(@ModelNum, "MSO70804")
  3.059  MATH         @Bandwidth = 8E+9; @NumChan = 4

  3.060  ELSEIF       ZCMPI(@ModelNum, "DSA70604B")
  3.061  MATH         @Bandwidth = 6E+9; @NumChan = 4

  3.062  ELSEIF       ZCMPI(@ModelNum, "DPO70604B")
  3.063  MATH         @Bandwidth = 6E+9; @NumChan = 4

  3.064  ELSEIF       ZCMPI(@ModelNum, "DSA70604")
  3.065  MATH         @Bandwidth = 6E+9; @NumChan = 4

  3.066  ELSEIF       ZCMPI(@ModelNum, "DPO70604")
  3.067  MATH         @Bandwidth = 6E+9; @NumChan = 4

  3.068  ELSEIF       ZCMPI(@ModelNum, "MSO70604")
  3.069  MATH         @Bandwidth = 6E+9; @NumChan = 4

  3.070  ELSEIF       ZCMPI(@ModelNum, "DSA70404B")
  3.071  MATH         @Bandwidth = 4E+9; @NumChan = 4

  3.072  ELSEIF       ZCMPI(@ModelNum, "DPO70404B")
  3.073  MATH         @Bandwidth = 4E+9; @NumChan = 4

  3.074  ELSEIF       ZCMPI(@ModelNum, "DSA70404")
  3.075  MATH         @Bandwidth = 4E+9; @NumChan = 4

  3.076  ELSEIF       ZCMPI(@ModelNum, "DPO70404")
  3.077  MATH         @Bandwidth = 4E+9; @NumChan = 4

  3.078  ELSEIF       ZCMPI(@ModelNum, "MSO70404")
  3.079  MATH         @Bandwidth = 4E+9; @NumChan = 4

  3.080  ELSE
  3.081  DISP         Sub Tek DPO/DSA70000/B and MSO70000 Set Bandwidth
  3.081  DISP         & Number of Channels
  3.081  DISP
  3.081  DISP         Unsupported model number: [V @ModelNum]
  3.082  ENDIF

  3.083  END

  3.084  EVAL   Increment step number

#********************* FIRMWARE_CHECK ***************************

  4.001  LABEL        FIRMWARE_CHECK
  4.002  MATH         @VerNum = SUB(FLD(@FirmwareRev, 2, " "), 4, 5)
  4.003  RSLT         =
  4.004  RSLT         =FirmwareRevision: [V @VerNum]
  4.005  MATH         @Abort = (@VerNum < 4.00)

  4.006  IF           @Abort
  4.007  DISP         This procedure requires firmware version 4.00 or later.
  4.007  DISP
  4.007  DISP         Go to tektronix.com to obtain updated firmware.
  4.008  ENDIF

  4.009  END
