﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70000 Self-Test IEEE
INSTRUMENT:            Sub Tek DPO70000 Sig Path Comp Cal IEEE
INSTRUMENT:            Sub Tek DPO70000 Channel Selection IEEE
DATE:                  2010-11-29 09:56:41
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       203
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA 70000B, MSO 70000, DPO/DSA 70000
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.002  JMPL         SIGNAL_PATH_COMPENSATION     PSUBI("Sig Path Comp")
  1.003  JMPL         CHANNEL_SELECT               PSUBI("Channel Selection")
  1.004  DISP         Undefined subprocedure!
  1.005  END

  1.006  EVAL   Increment step number

#********************* SELF TEST ******************************************

  2.001  LABEL        SELF_TEST
  2.002  RSLT         =
  2.003  HEAD         SELF TEST
  2.004  TARGET
  2.005  DISP         Remove all input signals. The next routine operator
  2.005  DISP         intervention occurs in approximately 9 minutes.
# Switch to diagnostic state.
  2.006  IEEE2        DIA:STATE ON
# Select all available diagnostics
  2.007  IEEE2        DIA:SEL:ALL ALL
# Loop once.
  2.008  IEEE2        DIA:CONTROL:LOOP OFF
  2.009  HEAD         -2 Waiting for self test to complete...
  2.010  IEEE2        [T200000]DIA:EXECUTE
# Return result of diagnostics.
  2.011  IEEE2        DIA:RES?[I$]
# Self Test evaluation.
  2.012  EVAL   -e FINDI(MEM2, "Pass", 1) : SELF TEST
  3.001  IEEE2        DIA:STATE OFF
  3.002  MATH         @Abort = NOT(FINDI(MEM2, "Pass", 1))

  3.003  IF           @Abort
  3.004  DISP         SELF TEST failed!
  3.004  DISP
  3.004  DISP         the DUT may need be serviced.
  3.004  DISP
  3.004  DISP         Press Advance to terminate the procedure.
  3.005  ENDIF

  3.006  HEAD         -2
  3.007  HEAD
  3.008  END

  3.009  EVAL   Increment step number

#********************* SIGNAL_PATH_COMPENSATION ***************************

  4.001  LABEL        SIGNAL_PATH_COMPENSATION
  4.002  TARGET
  4.003  MATH         @Abort = 0
  4.004  IEEE2        CAL:INTERN:STAT?[I$]

  4.005  IF           ZCMP(MEM2, "INIT") || ZCMP(MEM2, "FAIL")
  4.006  RSLT         =
  4.007  HEAD         SIGNAL PATH COMPENSATION
  4.008  DISP         Remove all input signals. The next routine operator
  4.008  DISP         intervention occurs in approximately 9 minutes.
  4.009  HEAD         SIGNAL PATH COMPENSATION PROCESSING...
  4.010  IEEE2        [T1000000]*CAL?[I]
  4.011  EVAL   -e MEM == 0 : SIGNAL PATH COMPENSATION

  5.001  IF           MEM != 0
  5.002  DISP         SIGNAL PATH COMPENSATION FAILED!
  5.002  DISP
  5.002  DISP         the DUT may need be serviced.
  5.002  DISP
  5.002  DISP         Procedure will be aborted.
  5.003  MATH         @Abort = 1
  5.004  ENDIF

  5.005  ELSEIF       ZCMP(MEM2, "WARMUP")
  5.006  DISP         the DUT has not warmed up for required time
  5.006  DISP         to perform signal path calibration.
  5.006  DISP
  5.006  DISP         Press Terminate to wait for DUT warm up.
  5.007  MATH         @Abort = 1

  5.008  ELSEIF       ZCMP(MEM2, "TERPDRIFT")
  5.009  DISP         the DUT has not reached a state of stable temperature
  5.009  DISP         adequate for performing signal path calibration. The
  5.009  DISP         signal path compensation must have been done within
  5.009  DISP         18°C to 28°C.
  5.010  MATH         @Abort = 1

  5.011  ELSEIF       ZCMP(MEM2, "PASS")
  5.012  OPBR         -z It is recommended that a Signal Path Compensation
  5.012  OPBR         Test be performed before running the performance Test.
  5.012  OPBR         It is only necessary to run this test one time.
  5.012  OPBR
  5.012  OPBR         Do you want to run the Signal Path Compensation Test?

  5.013  IF           MEM1
  5.014  RSLT         =
  5.015  HEAD         SIGNAL PATH COMPENSATION
  5.016  DISP         Remove all input signals. The next interruption
  5.016  DISP         will occurs more than 10 minutes.
  5.017  HEAD         SIGNAL PATH COMPENSATION PROCESSING...
  5.018  IEEE2        [T1000000]*CAL?[I]
  5.019  EVAL   -e MEM == 0 : SIGNAL PATH COMPENSATION

  6.001  IF           MEM != 0
  6.002  DISP         SIGNAL PATH COMPENSATION FAILED!
  6.002  DISP
  6.002  DISP         the DUT may need be serviced.
  6.002  DISP
  6.002  DISP         Procedure will be aborted.
  6.003  MATH         @Abort = 1
  6.004  ENDIF

  6.005  ENDIF

  6.006  ENDIF

  6.007  HEAD
  6.008  END

  6.009  EVAL   Increment step number

#*************************** Channel Selection ****************************

  7.001  LABEL        CHANNEL_SELECT
  7.002  IEEE2        *RST
  7.003  WAIT         -t 3 DUT Resetting...
  7.004  IEEE2        HEADER OFF

# Select ON/OFF based on whether DUT is 2 or 4 channel.
  7.005  IF           @NumChan == 2

# Specify channel being tested.
  7.006  IF           @Chan == 1
  7.007  IEEE2        SELECT:CH1 ON;CH2 OFF
  7.008  ELSE
  7.009  IEEE2        SELECT:CH1 OFF;CH2 ON
  7.010  ENDIF

  7.011  ELSE

# Specify channel being tested.
  7.012  IF           @Chan == 1
  7.013  IEEE2        SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  7.014  ELSEIF       @Chan == 2
  7.015  IEEE2        SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  7.016  ELSEIF       @Chan == 3
  7.017  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  7.018  ELSE
  7.019  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  7.020  ENDIF

  7.021  ENDIF

  7.022  WAIT         -t 2 DUT Initializing ...

  7.023  END
